%global major 2
%define libname %mklibname ipt %major
%define devname %mklibname -d ipt

Name: libipt
Version: 2.0.2
Release: %mkrel 1
SummarY: Intel Processor Trace Decoder Library
Group:	 Development/Tools
License: BSD
URL: https://github.com/intel/libipt
Source0: https://github.com/intel/libipt/archive/v%{version}.tar.gz
# c++ is required only for -DPTUNIT test "ptunit-cpp".
# pandoc is for -DMAN.
BuildRequires: gcc-c++ cmake
ExclusiveArch: %{ix86} x86_64

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.


%package -n %devname
Summary: Header files and libraries for Intel Processor Trace Decoder Library
Requires: %{libname} = %{version}-%{release}
ExclusiveArch: %{ix86} x86_64
Provides: ipt-devel, libipt-devel

%description -n %devname
The %{name}-devel package contains the header files and libraries needed to
develop programs that use the Intel Processor Trace (Intel PT) Decoder Library.

%package -n %libname
Summary: Intel Processor Trace Decoder Library
Group:	Development/C
Requires: %{libname} = %{version}-%{release}
ExclusiveArch: %{ix86} x86_64
# temp cauldron fix:
Obsoletes: %mklibname ipt 0
Provides: %mklibname ipt 0

%description -n %libname
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%prep
%setup -q -n libipt-%{version}

%build
%cmake \
       -DPTUNIT:BOOL=ON \
       -DMAN:BOOL=OFF \
       -DDEVBUILD:BOOL=ON
%cmake_build

%install
%cmake_install

%global develdocs howto_libipt.md
(cd doc;cp -p %{develdocs} ..)

%check
%ctest

%files -n %libname
%doc README
%license LICENSE
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %devname
%doc %{develdocs}
%{_includedir}/*
%{_libdir}/%{name}.so



%changelog
* Sun Aug 09 2020 tv <tv> 2.0.2-1.mga8
+ Revision: 1612181
- disable man pages as we don't have pandoc
- Upgrade to 2.0.2.

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1534483
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Oct 04 2019 tv <tv> 2.0.1-1.mga8
+ Revision: 1449182
- new release
- Enable tests (PTUNIT)

* Sun Sep 23 2018 umeabot <umeabot> 1.4.4-3.mga7
+ Revision: 1298925
- Mageia 7 Mass Rebuild

* Wed Apr 13 2016 tv <tv> 1.4.4-2.mga6
+ Revision: 1001157
- add major guard
- fix major

* Wed Apr 13 2016 tv <tv> 1.4.4-1.mga6
+ Revision: 1001089
- imported package libipt

